<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use App\Models\ImagesProposta;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Storage;
use PhpParser\Node\Stmt\TryCatch;

class ConfigController extends Controller
{
    public function pdfFotos(Request $request)
    {

        try {
            //code...
            DB::beginTransaction();


            $userId =  Auth::user()->id;

            $nomesFotosAntigas = ImagesProposta::pluck('url')->toArray(); // Supondo que 'url' seja o nome do campo que armazena os nomes dos arquivos

            // Excluir fotos antigas
            foreach ($nomesFotosAntigas as $nomeFotoAntiga) {
                Storage::delete($nomeFotoAntiga); // Excluir a foto do armazenamento
            }


            ImagesProposta::where('user_id', $userId)->delete();

            if ($request->file('files')) {
                foreach ($request->file('files') as $key =>  $file) {

                    $fileName = uniqid() . '.' . $file->getClientOriginalExtension(); // Defina um nome único para o arquivo
                    $path = $file->storeAs('fotos', $fileName); // Armazene o arquivo com o nome definido


                    ImagesProposta::create([
                        'url' => $path,
                        'order' => $key + 1,
                        'user_id' => $userId,
                        'public_id' => ''
                    ]); // Salve a URL no banco de dados
                    // Adicione a URL à lista de URLs a serem retornadas
                }
            }

            DB::commit();


            $images = ImagesProposta::where('user_id', $userId)->get();

            $photoUrls = $images->map(function ($photo) {
                return asset($photo->url);
            });

            return response()->json(['images' => $images, 'photoUrls' => $photoUrls], 200); // Responda com as URLs das fotos
        } catch (\Throwable $e) {
            DB::rollBack();

            //throw $th;
            return response()->json([
                'message' => 'Ocorreu um erro ao salvar as imagens: ' . $e->getMessage()
            ], 400);
        }
    }
}
