<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Produto extends Model
{
    use HasFactory;

    public $timestamps = false;

    protected $fillable = [
        'NOME',
        'FORNECEDOR_ID',
        'TIPO_VALOR',
        'EXIBE_PEDIDO',
        'VALOR_TABELA',
        'VALOR_MINIMO',
        'VALOR_IMPLANTACAO',
        'VALOR_DESCONTO_MAXIMO',
        'TIPO_DESCONTO',
        'OBSERVACAO',
        'user_id'
    ];

    public function fornecedor()
    {
        return $this->belongsTo(Fornecedor::class, 'FORNECEDOR_ID');
    }

    public function modulos()
    {
        return $this->hasMany(Modulo::class);
    }

    public function descontos()
    {
        return $this->hasMany(DescontosProduto::class);
    }


    public function precos_pdv()
    {
        return $this->hasMany(ProdutosPrecosPdv::class);
    }

    public function produtosLojas()
    {
        return $this->hasMany(ProdutosLoja::class);
    }
}
