<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pedidos_lojas', function (Blueprint $table) {
            $table->id();
            $table->foreignId('PEDIDO_ID')->constrained('pedidos')->onDelete('cascade');
            $table->foreignId('CLIENTE_ID')->constrained('clientes')->onDelete('cascade');
            $table->bigInteger('QTD_PDVS')->default(0);
            $table->decimal('VALOR_TOTAL', 10, 2)->default(0);
            $table->decimal('VALOR_DESCOMTOS', 10, 2)->default(0);
            $table->decimal('VALOR_DESEJADO', 10, 2)->default(0);
            $table->decimal('VALOR_TOTAL_DESCONTOS', 10, 2)->default(0);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('pedidos_lojas');
    }
};
