<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pedidos_lojas_produtos', function (Blueprint $table) {
            $table->id();
            $table->foreignId('PEDIDO_LOJA_ID')->constrained('pedidos_lojas')->onDelete('cascade');
            $table->foreignId('PRODUTO_ID')->constrained('produtos')->onDelete("cascade");
            $table->decimal('VALOR_TOTAL', 10, 2)->default(0);


            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('pedidos_lojas_produtos');
    }
};
