<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pedidos_lojas_produtos_modulos', function (Blueprint $table) {
            $table->id();
            $table->foreignId('PEDIDO_LOJA_PRODUTO_ID')->constrained('pedidos_lojas_produtos')->onDelete("cascade");
            $table->foreignId('MODULO_ID')->constrained('modulos')->onDelete("cascade");
            $table->decimal('VALOR', 10, 2)->default(0);


            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('pedidos_lojas_produtos_modulos');
    }
};
